=== src/imports/gsettings/CMakeLists.txt ===
liri_add_qml_plugin(qtgsettings
    MODULE_PATH
        "QtGSettings"
    VERSION
        "1.0"
    SOURCES
        plugin.cpp
        qmlgsettings.cpp
        qmlgsettings.h
        qmlgsettingsschema.cpp
        qmlgsettingsschema.h
    QML_FILES
        qmldir
    DEFINES
        QT_NO_CAST_FROM_ASCII
        QT_NO_FOREACH
    PUBLIC_LIBRARIES
        Liri::Qt5GSettings
)
